Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.semanticweb.owlapi.owllink.parser
Class OWLlinkXMLParserHandler

    java.lang.Object
      OWLXMLParserHandler
          org.semanticweb.owlapi.owllink.parser.MyOWLXMLParserHandler
              org.semanticweb.owlapi.owllink.parser.OWLlinkXMLParserHandler

    public class OWLlinkXMLParserHandler

extends MyOWLXMLParserHandler

Handler for OWLlink Responses.

Here we also handle the prefix name mapping for abbreviated IRIs.

Field Summary
`protected java.util.Map<java.lang.String,OWLlinkElementHandlerFactory>` | `owllinkHandlerMap`
`protected PrefixManagerProvider` | `prov`
`protected OWLlinkResponseMessageElementHandler` | `responseMessageHandler`

Fields inherited from class org.semanticweb.owlapi.owllink.parser.MyOWLXMLParserHandler
`handlerMap, handlerStack, prefixName2PrefixMap`

Constructor Summary
`OWLlinkXMLParserHandler(OWLOntologyManager owlOntologyManager, PrefixManagerProvider prov, Request[] requests, OWLOntology ontology)`
`OWLlinkXMLParserHandler(OWLOntologyManager owlOntologyManager, PrefixManagerProvider provider, Request[] requests, OWLOntology ontology, OWLElementHandler topHandler)`

Method Summary
`void` | `addFactory(OWLlinkElementHandlerFactory factory, java.lang.String... legacyElementNames)`
`Request` | `getRequest(int index)`
`java.util.List<java.lang.Object>` | `getResponses()`
`void` | `startElement(java.lang.String uri, java.lang.String localName, java.lang.String qName, org.xml.sax.Attributes attributes)`

Methods inherited from class org.semanticweb.owlapi.owllink.parser.MyOWLXMLParserHandler
`characters, endDocument, endElement, getAbbreviatedIRI, getBase, getDataFactory, getIRI, getLineNumber, getOntology, getOWLOntologyManager, getPrefixName2PrefixMap, processXMLBase, resolveEntity, setDocumentLocator, setPrefixName2PrefixMap, startDocument, startPrefixMapping`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### owllinkHandlerMap

    protected java.util.Map<java.lang.String,OWLlinkElementHandlerFactory> owllinkHandlerMap

### responseMessageHandler

    protected OWLlinkResponseMessageElementHandler responseMessageHandler

### prov

    protected PrefixManagerProvider prov

Constructor Detail

### OWLlinkXMLParserHandler

    public OWLlinkXMLParserHandler(OWLOntologyManager owlOntologyManager,
                                   PrefixManagerProvider prov,
                                   Request[] requests,
                                   OWLOntology ontology)

### OWLlinkXMLParserHandler

    public OWLlinkXMLParserHandler(OWLOntologyManager owlOntologyManager,
                                   PrefixManagerProvider provider,
                                   Request[] requests,
                                   OWLOntology ontology,
                                   OWLElementHandler topHandler)

Method Detail

### addFactory

    public void addFactory(OWLlinkElementHandlerFactory factory,
                           java.lang.String... legacyElementNames)

### getRequest

    public Request getRequest(int index)

### startElement

    public void startElement(java.lang.String uri,
                             java.lang.String localName,
                             java.lang.String qName,
                             org.xml.sax.Attributes attributes)
                      throws org.xml.sax.SAXException

  Overrides:
    `startElement` in class `MyOWLXMLParserHandler`
  Throws:
    `org.xml.sax.SAXException`

### getResponses

    public java.util.List<java.lang.Object> getResponses()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD